## com.baidubce
Class BceErrorResponse

    java.lang.Object
      com.baidubce.BceErrorResponse

    public class BceErrorResponse

extends Object

Constructor Summary
`BceErrorResponse()`

Method Summary
`String` `getCode()` Returns the BCE error code which represents the error type.
`String` `getMessage()` Returns the detail error message.
`String` `getRequestId()`
`void` `setCode(String code)` Sets the BCE error code which represents the error type.
`void` `setMessage(String message)` Sets the detail error message.
`void` `setRequestId(String requestId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BceErrorResponse

    public BceErrorResponse()

Method Detail

### getRequestId

    public String getRequestId()

### setRequestId

    public void setRequestId(String requestId)

### getCode

    public String getCode()

  Returns the BCE error code which represents the error type.

  Returns:
    the BCE error code which represents the error type.

### setCode

    public void setCode(String code)

  Sets the BCE error code which represents the error type.

  Parameters:
    `code` - the BCE error code which represents the error type.

### getMessage

    public String getMessage()

  Returns the detail error message.

  Returns:
    the detail error message.

### setMessage

    public void setMessage(String message)

  Sets the detail error message.

  Parameters:
    `message` - the detail error message.

Copyright © 2016. All rights reserved.